#import "Flutter1flowSdkPlugin.h"
@import _1Flow;

@implementation Flutter1flowSdkPlugin
+ (void)registerWithRegistrar:(NSObject<FlutterPluginRegistrar>*)registrar {
  FlutterMethodChannel* channel = [FlutterMethodChannel
      methodChannelWithName:@"flutter_1flow_sdk"
            binaryMessenger:[registrar messenger]];
  Flutter1flowSdkPlugin* instance = [[Flutter1flowSdkPlugin alloc] init];
  [registrar addMethodCallDelegate:instance channel:channel];
}

- (void)handleMethodCall:(FlutterMethodCall*)call result:(FlutterResult)result {
  if ([@"configure" isEqualToString:call.method]) {
     NSString *projectKey = [call.arguments valueForKey:@"projectKey"];
     BOOL enableSurveys = [call.arguments valueForKey:@"enableSurveys"];
     [self configure:projectKey enableSurveys:enableSurveys];
  } else if ([@"logUser" isEqualToString:call.method]) {
     NSString *uniqueId = [call.arguments valueForKey:@"uniqueId"];
     id userDetails = [call.arguments valueForKey:@"userDetails"];
     [self logUser:uniqueId userDetails:userDetails];
  } else if ([@"recordEventName" isEqualToString:call.method]) {
    NSString *eventName = [call.arguments valueForKey:@"eventName"];
     id parameters = [call.arguments valueForKey:@"parameters"];
     [self recordEventName:eventName parameters:parameters];
  } else  {
    result(FlutterMethodNotImplemented);
  }
}

-(void)logUser:(NSString *)uniqueId userDetails:(NSDictionary *)userDetails{
    [OneFlow logUser:uniqueId userDetails:userDetails];
}

-(void)recordEventName:(NSString *)eventName parameters:(NSDictionary *)parameters{
    [OneFlow recordEventName:eventName parameters:parameters];
}

-(void)configure:(NSString *)projectKey enableSurveys:(BOOL)enableSurveys{
  [OneFlow configure:projectKey];
  OneFlow.enableSurveys = enableSurveys;
}

@end
