
import 'dart:async';

import 'package:flutter/services.dart';

class OneFlow {
  static const MethodChannel _channel =
      const MethodChannel('flutter_1flow_sdk');

 
static Future<void> configure(String projectKey, bool enableSurveys) async {
     Map<String,Object> args = <String,Object>{};
     args.putIfAbsent("projectKey", () => projectKey);
     args.putIfAbsent("enableSurveys", () => enableSurveys);
     await _channel.invokeMethod('configure',args);
  }

  static Future<void> logUser(String uniqueId, Object userDetails) async {
     Map<String,Object> args = <String,Object>{};
     args.putIfAbsent("userDetails", () => userDetails);
     args.putIfAbsent("uniqueId", () => uniqueId);
     await _channel.invokeMethod('logUser',args);
  }

  static Future<void> recordEventName(String eventName, Object parameters) async {
     Map<String,Object> args = <String,Object>{};
     args.putIfAbsent("parameters", () => parameters);
      args.putIfAbsent("eventName", () => eventName);
     await _channel.invokeMethod('recordEventName',args);
  }
}
